## ros-noetic-qb-move-description 2.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(qb_move_description VERSION 2.2.2 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED)

catkin_package()

# Installation
install(
  DIRECTORY
    config/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

install(
  DIRECTORY
    launch/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(
  DIRECTORY
    meshes/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/meshes
)

install(
  DIRECTORY
    rviz/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

install(
  DIRECTORY
    urdf/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf
)

=== debian/changelog ===
ros-noetic-qb-move-description (2.2.2-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 31 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-description (2.2.1-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 26 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-description (2.2.0-1buster) buster; urgency=high

  * Fix qbmove flanges inertial values
  * Fix cmake resource installation
  * Add Gazebo plugin for qbmove devices with qbMoveHWSim
  * Fixed a bug(position factor in constructor was not considered). Basic claw plugin implemented and tested.
  * modified .xacro files in order to change the URDF claw origin. Added a new launch for controlling the SoftClaw.
  * Fix finger down pad URDF
  * Fix URDF macros to set a custom parent link name
  * Add qb SoftClaw meshes and its URDF

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 25 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-description (2.1.3-1buster) buster; urgency=high

  * Fix initial command and velocity limit for qbmoves

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 06 Oct 2019 22:00:00 -0000

ros-noetic-qb-move-description (2.1.2-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 10 Jun 2019 22:00:00 -0000

ros-noetic-qb-move-description (2.1.1-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 10 Jun 2019 22:00:00 -0000

ros-noetic-qb-move-description (2.1.0-1buster) buster; urgency=high

  * Fix description values
  * Fix utilities to build delta URDF easily

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 27 May 2019 22:00:00 -0000

ros-noetic-qb-move-description (2.0.2-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-qb-move-description (2.0.1-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 06 Aug 2018 22:00:00 -0000

ros-noetic-qb-move-description (2.0.0-1buster) buster; urgency=high

  * Update xacro models
  * Refactor launch files
  * Add flange meshes and few basic configurations
  * Add qbmove meshes
  * Refactor launch files

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 29 May 2018 22:00:00 -0000

ros-noetic-qb-move-description (1.0.6-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-noetic-qb-move-description (1.0.5-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 26 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-description (1.0.4-1buster) buster; urgency=high

  * Update cmake version to match Kinetic standards

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 22 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-description (1.0.3-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 21 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-description (1.0.2-1buster) buster; urgency=high

  * fix cmake settings to solve isolated builds

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-description (1.0.1-1buster) buster; urgency=high

  * first public release for Kinetic

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 18 Jun 2017 22:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-qb-move-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-qb-move-description 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-project(qb_move_description VERSION 2.2.2 LANGUAGES CXX)
+project(qb_move_description VERSION 3.0.3 LANGUAGES CXX)
 
 # Dependency Settings
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-noetic-qb-move-description (3.0.3-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 09 Jul 2023 22:00:00 -0000

ros-noetic-qb-move-description (3.0.2-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 25 Apr 2023 22:00:00 -0000

ros-noetic-qb-move-description (3.0.1-2focal) focal; urgency=high

  * FEAT: Changed ee link orientation in URDFs
  * FEAT: Changed end-effector link position for qb SoftClaw.
  * Implemented double controller.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-noetic-qb-move-description (3.0.0-2focal) focal; urgency=high

  * Modified .xacro files in order to fit new xacro package version. This commint is suitable with xacro version 1.13.15 -- see https://github.com/ros/xacro/commit/7b5c20907375400cf4db6993a13238e86b38acf3 for more details.
  * Fixed errors on URDFs files

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 05 Jul 2022 22:00:00 -0000

ros-noetic-qb-move-description (2.2.1-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 26 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-description (2.2.0-2focal) focal; urgency=high

  * Fix qbmove flanges inertial values
  * Fix cmake resource installation
  * Add Gazebo plugin for qbmove devices with qbMoveHWSim
  * Fixed a bug(position factor in constructor was not considered). Basic claw plugin implemented and tested.
  * modified .xacro files in order to change the URDF claw origin. Added a new launch for controlling the SoftClaw.
  * Fix finger down pad URDF
  * Fix URDF macros to set a custom parent link name
  * Add qb SoftClaw meshes and its URDF

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 25 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-description (2.1.3-2focal) focal; urgency=high

  * Fix initial command and velocity limit for qbmoves

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 06 Oct 2019 22:00:00 -0000

ros-noetic-qb-move-description (2.1.2-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 10 Jun 2019 22:00:00 -0000

ros-noetic-qb-move-description (2.1.1-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 10 Jun 2019 22:00:00 -0000

ros-noetic-qb-move-description (2.1.0-2focal) focal; urgency=high

  * Fix description values
  * Fix utilities to build delta URDF easily

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 27 May 2019 22:00:00 -0000

ros-noetic-qb-move-description (2.0.2-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-qb-move-description (2.0.1-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 06 Aug 2018 22:00:00 -0000

ros-noetic-qb-move-description (2.0.0-2focal) focal; urgency=high

  * Update xacro models
  * Refactor launch files
  * Add flange meshes and few basic configurations
  * Add qbmove meshes
  * Refactor launch files

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 29 May 2018 22:00:00 -0000

ros-noetic-qb-move-description (1.0.6-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-noetic-qb-move-description (1.0.5-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 26 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-description (1.0.4-2focal) focal; urgency=high

  * Update cmake version to match Kinetic standards

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 22 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-description (1.0.3-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 21 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-description (1.0.2-2focal) focal; urgency=high

  * fix cmake settings to solve isolated builds

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-description (1.0.1-2focal) focal; urgency=high

  * first public release for Kinetic

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 18 Jun 2017 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-qb-move-description
Section: misc
Priority: optional
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/qb_move_description
Standards-Version: 3.9.2

Package: ros-noetic-qb-move-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package contains the ROS description for qbrobotics® qbmove device.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
